### Method

# Gimp Procedure set_icon_name

#### Declaration [src]

    void
    gimp_procedure_set_icon_name (
      GimpProcedure* procedure,
      const gchar* icon_name
    )

#### Description [src]

Sets the icon for `procedure` to the icon referenced by `icon_name`.

Available since: | 3.0

#### Parameters

`icon_name` | `const gchar*`
| An icon name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.